<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__ble__stack__gatt__server_8h" kind="file" language="C++">
    <compoundname>cy_ble_stack_gatt_server.h</compoundname>
    <includes local="yes" refid="cy__ble__stack__gatt_8h">cy_ble_stack_gatt.h</includes>
    <includedby local="yes" refid="cy__ble__gatt_8h">cy_ble_gatt.h</includedby>
    <includedby local="yes" refid="cy__ble_8h">cy_ble.h</includedby>
    <innerclass prot="public" refid="structcy__stc__ble__gatts__prep__write__req__param__t">cy_stc_ble_gatts_prep_write_req_param_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__gatts__exec__write__req__t">cy_stc_ble_gatts_exec_write_req_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__gatts__char__val__read__req__t">cy_stc_ble_gatts_char_val_read_req_t</innerclass>
      <sectiondef kind="typedef">
      <memberdef id="group__group__ble__common__api__gatt__definitions_1ga207a3d9415140486bcffbfff292f3430" kind="typedef" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__write__param__t">cy_stc_ble_gatt_write_param_t</ref></type>
        <definition>typedef cy_stc_ble_gatt_write_param_t cy_stc_ble_gatts_handle_value_ntf_t</definition>
        <argsstring />
        <name>cy_stc_ble_gatts_handle_value_ntf_t</name>
        <briefdescription>
<para>Notification parameter. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_server.h" bodystart="46" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_server.h" line="46" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__gatt__definitions_1ga57d321962d5185e17b853b551a7dae76" kind="typedef" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__write__param__t">cy_stc_ble_gatt_write_param_t</ref></type>
        <definition>typedef cy_stc_ble_gatt_write_param_t cy_stc_ble_gatts_handle_value_ind_t</definition>
        <argsstring />
        <name>cy_stc_ble_gatts_handle_value_ind_t</name>
        <briefdescription>
<para>Indication parameter. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_server.h" bodystart="49" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_server.h" line="49" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__gatt__definitions_1ga64c7a997347264c185c840b481b4f046" kind="typedef" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__write__param__t">cy_stc_ble_gatt_write_param_t</ref></type>
        <definition>typedef cy_stc_ble_gatt_write_param_t cy_stc_ble_gatts_write_cmd_req_param_t</definition>
        <argsstring />
        <name>cy_stc_ble_gatts_write_cmd_req_param_t</name>
        <briefdescription>
<para>Write command request parameter received from Client. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_server.h" bodystart="116" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_server.h" line="116" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__gatt__definitions_1ga728c4319e1c76aaa805bf3333bbfe1a8" kind="typedef" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__write__param__t">cy_stc_ble_gatt_write_param_t</ref></type>
        <definition>typedef cy_stc_ble_gatt_write_param_t cy_stc_ble_gatts_signed_write_cmd_req_param_t</definition>
        <argsstring />
        <name>cy_stc_ble_gatts_signed_write_cmd_req_param_t</name>
        <briefdescription>
<para>Signed Write command request parameter received from Client. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_server.h" bodystart="119" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_server.h" line="119" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__ble__common__api__gatt__server__functions_1gab1ec6315d61671ac47fbd3f34e28ddca" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_GATTS_WriteRsp</definition>
        <argsstring>(cy_stc_ble_conn_handle_t connHandle)</argsstring>
        <name>Cy_BLE_GATTS_WriteRsp</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
          <declname>connHandle</declname>
        </param>
        <briefdescription>
<para>This function is used by GATT Server application to send a Write Response to a peer GATT Client. </para>        </briefdescription>
        <detaileddescription>
<para>This function should be used after receiving Write Request through CY_BLE_EVT_GATTS_WRITE_REQ event. This is a non-blocking function.</para><para>The Write Response must be sent after the attribute value is written or saved by the GATT Server.</para><para>If peer GATT Client is a PSoC 6 device, Write Response PDU results in CY_BLE_EVT_GATTC_WRITE_RSP event at the GATT Client's end.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>connHandle</parametername>
</parameternamelist>
<parameterdescription>
<para>Connection handle to identify the peer GATT entity, of type <ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates whether the function succeeded or failed. Following are the possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;If 'connHandle' is invalid. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_OPERATION &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;This operation is not permitted. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Memory allocation failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_server.h" line="351" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="2"><highlight class="comment">*<sp />\file<sp />cy_ble_stack_gatt_server.h</highlight></codeline>
<codeline lineno="3"><highlight class="comment">*<sp />\version<sp />3.50</highlight></codeline>
<codeline lineno="4"><highlight class="comment">*</highlight></codeline>
<codeline lineno="5"><highlight class="comment">*<sp />\brief</highlight></codeline>
<codeline lineno="6"><highlight class="comment">*<sp /><sp />This<sp />file<sp />contains<sp />declarations<sp />of<sp />public<sp />BLE<sp />APIs<sp />of<sp />Generic<sp />Attribute<sp />Profile<sp />-<sp />Server<sp />Role.</highlight></codeline>
<codeline lineno="7"><highlight class="comment">*<sp /><sp />Also<sp />specifies<sp />the<sp />defines,<sp />constants,<sp />and<sp />data<sp />structures<sp />required<sp />for<sp />the<sp />APIs.</highlight></codeline>
<codeline lineno="8"><highlight class="comment">*<sp /></highlight></codeline>
<codeline lineno="9"><highlight class="comment">*<sp />Related<sp />Document:</highlight></codeline>
<codeline lineno="10"><highlight class="comment">*<sp /><sp />BLE<sp />Standard<sp />Spec<sp />-<sp />CoreV5.0,<sp />CSS,<sp />CSAs,<sp />ESR05,<sp />ESR06</highlight></codeline>
<codeline lineno="11"><highlight class="comment">*<sp /></highlight></codeline>
<codeline lineno="12"><highlight class="comment">********************************************************************************</highlight></codeline>
<codeline lineno="13"><highlight class="comment">*<sp />\copyright</highlight></codeline>
<codeline lineno="14"><highlight class="comment">*<sp />Copyright<sp />2017-2020,<sp />Cypress<sp />Semiconductor<sp />Corporation.<sp />All<sp />rights<sp />reserved.</highlight></codeline>
<codeline lineno="15"><highlight class="comment">*<sp />You<sp />may<sp />use<sp />this<sp />file<sp />only<sp />in<sp />accordance<sp />with<sp />the<sp />license,<sp />terms,<sp />conditions,</highlight></codeline>
<codeline lineno="16"><highlight class="comment">*<sp />disclaimers,<sp />and<sp />limitations<sp />in<sp />the<sp />end<sp />user<sp />license<sp />agreement<sp />accompanying</highlight></codeline>
<codeline lineno="17"><highlight class="comment">*<sp />the<sp />software<sp />package<sp />with<sp />which<sp />this<sp />file<sp />was<sp />provided.</highlight></codeline>
<codeline lineno="18"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="19"><highlight class="normal" /></codeline>
<codeline lineno="20"><highlight class="normal" /><highlight class="preprocessor">#ifndef<sp />CY_BLE__STACK_GATT_SERVER_H_</highlight><highlight class="normal" /></codeline>
<codeline lineno="21"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_BLE__STACK_GATT_SERVER_H_</highlight><highlight class="normal" /></codeline>
<codeline lineno="22"><highlight class="normal" /></codeline>
<codeline lineno="23"><highlight class="normal" /></codeline>
<codeline lineno="24"><highlight class="normal" /><highlight class="comment">/***************************************</highlight></codeline>
<codeline lineno="25"><highlight class="comment">*<sp />Common<sp />BLE<sp />Stack<sp />includes</highlight></codeline>
<codeline lineno="26"><highlight class="comment">***************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_ble_stack_gatt.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="32"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />__cplusplus<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /><highlight class="comment">/***************************************</highlight></codeline>
<codeline lineno="35"><highlight class="comment">*<sp />GATT<sp />Server<sp />Constants</highlight></codeline>
<codeline lineno="36"><highlight class="comment">***************************************/</highlight></codeline>
<codeline lineno="42"><highlight class="comment">/***************************************</highlight></codeline>
<codeline lineno="43"><highlight class="comment">**<sp />Exported<sp />structures</highlight></codeline>
<codeline lineno="44"><highlight class="comment">***************************************/</highlight></codeline>
<codeline lineno="46"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__ble__gatt__write__param__t">cy_stc_ble_gatt_write_param_t</ref><sp /><sp /><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga207a3d9415140486bcffbfff292f3430">cy_stc_ble_gatts_handle_value_ntf_t</ref>;</highlight></codeline>
<codeline lineno="47"><highlight class="normal" /></codeline>
<codeline lineno="49"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__ble__gatt__write__param__t">cy_stc_ble_gatt_write_param_t</ref><sp /><sp /><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga57d321962d5185e17b853b551a7dae76">cy_stc_ble_gatts_handle_value_ind_t</ref>;</highlight></codeline>
<codeline lineno="50"><highlight class="normal" /></codeline>
<codeline lineno="51"><highlight class="normal" /><highlight class="comment">/*<sp />--------------------------Structures<sp />corresponding<sp />to<sp />events--------------------<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="52"><highlight class="normal" /></codeline>
<codeline lineno="54" refid="structcy__stc__ble__gatts__prep__write__req__param__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="55"><highlight class="normal">{</highlight></codeline>
<codeline lineno="65"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__ble__gatt__handle__value__offset__param__t">cy_stc_ble_gatt_handle_value_offset_param_t</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*<sp />baseAddr;<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="66"><highlight class="normal" /></codeline>
<codeline lineno="68"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />connHandle;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="69"><highlight class="normal" /></codeline>
<codeline lineno="73"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />currentPrepWriteReqCount;</highlight></codeline>
<codeline lineno="74"><highlight class="normal" /></codeline>
<codeline lineno="77"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />gattErrorCode;<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="78"><highlight class="normal" /></codeline>
<codeline lineno="79"><highlight class="normal">}<ref kindref="compound" refid="structcy__stc__ble__gatts__prep__write__req__param__t">cy_stc_ble_gatts_prep_write_req_param_t</ref>;</highlight></codeline>
<codeline lineno="80"><highlight class="normal" /></codeline>
<codeline lineno="82" refid="structcy__stc__ble__gatts__exec__write__req__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="83"><highlight class="normal">{</highlight></codeline>
<codeline lineno="93"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__ble__gatt__handle__value__offset__param__t">cy_stc_ble_gatt_handle_value_offset_param_t</ref><sp /><sp /><sp /><sp /><sp />*baseAddr;</highlight></codeline>
<codeline lineno="94"><highlight class="normal" /></codeline>
<codeline lineno="96"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />connHandle;<sp /></highlight></codeline>
<codeline lineno="97"><highlight class="normal" /></codeline>
<codeline lineno="99"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />attrHandle;<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="100"><highlight class="normal" /></codeline>
<codeline lineno="104"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />prepWriteReqCount;</highlight></codeline>
<codeline lineno="105"><highlight class="normal" /></codeline>
<codeline lineno="107"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />execWriteFlag;</highlight></codeline>
<codeline lineno="108"><highlight class="normal" /></codeline>
<codeline lineno="109"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="111"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />gattErrorCode;</highlight></codeline>
<codeline lineno="112"><highlight class="normal" /></codeline>
<codeline lineno="113"><highlight class="normal">}<ref kindref="compound" refid="structcy__stc__ble__gatts__exec__write__req__t">cy_stc_ble_gatts_exec_write_req_t</ref>;</highlight></codeline>
<codeline lineno="114"><highlight class="normal" /></codeline>
<codeline lineno="116"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__ble__gatt__write__param__t">cy_stc_ble_gatt_write_param_t</ref><sp /><sp /><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga64c7a997347264c185c840b481b4f046">cy_stc_ble_gatts_write_cmd_req_param_t</ref>;</highlight></codeline>
<codeline lineno="117"><highlight class="normal" /></codeline>
<codeline lineno="119"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__ble__gatt__write__param__t">cy_stc_ble_gatt_write_param_t</ref><sp /><sp /><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga728c4319e1c76aaa805bf3333bbfe1a8">cy_stc_ble_gatts_signed_write_cmd_req_param_t</ref>;</highlight></codeline>
<codeline lineno="120"><highlight class="normal" /></codeline>
<codeline lineno="126" refid="structcy__stc__ble__gatts__char__val__read__req__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="127"><highlight class="normal">{</highlight></codeline>
<codeline lineno="129"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />connHandle;</highlight></codeline>
<codeline lineno="130"><highlight class="normal" /></codeline>
<codeline lineno="132"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref><sp /><sp /><sp /><sp /><sp />attrHandle;</highlight></codeline>
<codeline lineno="133"><highlight class="normal" /></codeline>
<codeline lineno="138"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga840a7207c3fa1dd4e5d88f0bdfdceecb">cy_en_ble_gatt_err_code_t</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />gattErrorCode;</highlight></codeline>
<codeline lineno="139"><highlight class="normal" /></codeline>
<codeline lineno="140"><highlight class="normal">}<ref kindref="compound" refid="structcy__stc__ble__gatts__char__val__read__req__t">cy_stc_ble_gatts_char_val_read_req_t</ref>;</highlight></codeline>
<codeline lineno="143"><highlight class="comment">/***************************************</highlight></codeline>
<codeline lineno="144"><highlight class="comment">**<sp />Exported<sp />APIs</highlight></codeline>
<codeline lineno="145"><highlight class="comment">***************************************/</highlight></codeline>
<codeline lineno="151"><highlight class="comment">/******************************************************************************</highlight></codeline>
<codeline lineno="152"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_BLE_GATTS_Notification</highlight></codeline>
<codeline lineno="153"><highlight class="comment">***************************************************************************/</highlight></codeline>
<codeline lineno="186"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp />Cy_BLE_GATTS_Notification</highlight></codeline>
<codeline lineno="187"><highlight class="normal">(</highlight></codeline>
<codeline lineno="188"><highlight class="normal"><sp /><sp /><sp /><sp />cy_stc_ble_gatts_handle_value_ntf_t<sp />*<sp />param</highlight></codeline>
<codeline lineno="189"><highlight class="normal">);</highlight></codeline>
<codeline lineno="190"><highlight class="normal" /></codeline>
<codeline lineno="191"><highlight class="normal" /></codeline>
<codeline lineno="192"><highlight class="normal" /><highlight class="comment">/******************************************************************************</highlight></codeline>
<codeline lineno="193"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_BLE_GATTS_Indication</highlight></codeline>
<codeline lineno="194"><highlight class="comment">***************************************************************************/</highlight></codeline>
<codeline lineno="230"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp />Cy_BLE_GATTS_Indication</highlight></codeline>
<codeline lineno="231"><highlight class="normal">(</highlight></codeline>
<codeline lineno="232"><highlight class="normal"><sp /><sp /><sp /><sp />cy_stc_ble_gatts_handle_value_ind_t<sp />*<sp />param</highlight></codeline>
<codeline lineno="233"><highlight class="normal">);</highlight></codeline>
<codeline lineno="234"><highlight class="normal" /></codeline>
<codeline lineno="235"><highlight class="normal" /></codeline>
<codeline lineno="236"><highlight class="normal" /><highlight class="comment">/******************************************************************************</highlight></codeline>
<codeline lineno="237"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_BLE_GATTS_ErrorRsp</highlight></codeline>
<codeline lineno="238"><highlight class="comment">***************************************************************************/</highlight></codeline>
<codeline lineno="273"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp />Cy_BLE_GATTS_ErrorRsp</highlight></codeline>
<codeline lineno="274"><highlight class="normal">(</highlight></codeline>
<codeline lineno="275"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__ble__gatt__err__param__t">cy_stc_ble_gatt_err_param_t</ref><sp /><sp />*<sp />param</highlight></codeline>
<codeline lineno="276"><highlight class="normal">);</highlight></codeline>
<codeline lineno="277"><highlight class="normal" /></codeline>
<codeline lineno="278"><highlight class="normal" /></codeline>
<codeline lineno="279"><highlight class="normal" /><highlight class="comment">/******************************************************************************</highlight></codeline>
<codeline lineno="280"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_BLE_GATTS_ExchangeMtuRsp</highlight></codeline>
<codeline lineno="281"><highlight class="comment">***************************************************************************/</highlight></codeline>
<codeline lineno="315"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp />Cy_BLE_GATTS_ExchangeMtuRsp</highlight></codeline>
<codeline lineno="316"><highlight class="normal">(</highlight></codeline>
<codeline lineno="317"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__ble__gatt__xchg__mtu__param__t">cy_stc_ble_gatt_xchg_mtu_param_t</ref><sp /><sp />*<sp />param</highlight></codeline>
<codeline lineno="318"><highlight class="normal">);</highlight></codeline>
<codeline lineno="319"><highlight class="normal" /></codeline>
<codeline lineno="322"><highlight class="comment">/******************************************************************************</highlight></codeline>
<codeline lineno="323"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_BLE_GATTS_WriteRsp</highlight></codeline>
<codeline lineno="324"><highlight class="comment">***************************************************************************/</highlight></codeline>
<codeline lineno="351"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp /><ref kindref="member" refid="group__group__ble__common__api__gatt__server__functions_1gab1ec6315d61671ac47fbd3f34e28ddca">Cy_BLE_GATTS_WriteRsp</ref></highlight></codeline>
<codeline lineno="352"><highlight class="normal">(</highlight></codeline>
<codeline lineno="353"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref><sp /><sp />connHandle</highlight></codeline>
<codeline lineno="354"><highlight class="normal">);</highlight></codeline>
<codeline lineno="355"><highlight class="normal" /></codeline>
<codeline lineno="356"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="357"><highlight class="normal">}</highlight></codeline>
<codeline lineno="358"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />__cplusplus<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="359"><highlight class="normal" /></codeline>
<codeline lineno="361"><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*CY_BLE__STACK_GATT_SERVER_H_*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="362"><highlight class="normal" /></codeline>
<codeline lineno="363"><highlight class="normal" /></codeline>
<codeline lineno="364"><highlight class="normal"><sp /></highlight><highlight class="comment">/*EOF*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_server.h" />
  </compounddef>
</doxygen>